Bug 540345 - SELinux is preventing /usr/lib64/chromium-browser/chrome-sandbox "open" access on /proc.
Summary: SELinux is preventing /usr/lib64/chromium-browser/chrome-sandbox "open" acces...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:ec08448eaf7...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-23 05:28 UTC by Dawid Zamirski
Modified: 2009-12-02 04:41 UTC (History)
2 users (show)

Fixed In Version: 3.6.32-49.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-25 02:05:43 UTC


Attachments (Terms of Use)

Description Dawid Zamirski 2009-11-23 05:28:10 UTC
Summary:

SELinux is preventing /usr/lib64/chromium-browser/chrome-sandbox "open" access
on /proc.

Detailed Description:

[chrome-sandbox has a permissive type (chrome_sandbox_t). This access was not
denied.]

SELinux denied access requested by chrome-sandbox. It is not expected that this
access is required by chrome-sandbox and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                unconfined_u:unconfined_r:chrome_sandbox_t:s0-s0:c
                              0.c1023
Target Context                system_u:object_r:proc_t:s0
Target Objects                /proc [ dir ]
Source                        chrome-sandbox
Source Path                   /usr/lib64/chromium-browser/chrome-sandbox
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           chromium-4.0.252.0-0.1.20091119svn32498.fc12
Target RPM Packages           filesystem-2.4.30-2.fc12
Policy RPM                    selinux-policy-3.6.32-41.fc12
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.31.5-127.fc12.x86_64
                              #1 SMP Sat Nov 7 21:11:14 EST 2009 x86_64 x86_64
Alert Count                   1
First Seen                    Mon 23 Nov 2009 12:27:00 AM EST
Last Seen                     Mon 23 Nov 2009 12:27:00 AM EST
Local ID                      5bfe9ce8-f2d1-44b4-bcf0-3f96c09a9db8
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1258954020.718:35949): avc:  denied  { open } for  pid=19792 comm="chrome-sandbox" name="/" dev=proc ino=1 scontext=unconfined_u:unconfined_r:chrome_sandbox_t:s0-s0:c0.c1023 tcontext=system_u:object_r:proc_t:s0 tclass=dir

node=(removed) type=SYSCALL msg=audit(1258954020.718:35949): arch=c000003e syscall=2 success=yes exit=3 a0=401f60 a1=90800 a2=7fff90451a0b a3=7fff90450200 items=0 ppid=19526 pid=19792 auid=500 uid=500 gid=500 euid=0 suid=0 fsuid=0 egid=500 sgid=500 fsgid=500 tty=(none) ses=31 comm="chrome-sandbox" exe="/usr/lib64/chromium-browser/chrome-sandbox" subj=unconfined_u:unconfined_r:chrome_sandbox_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  selinux-policy-3.6.32-41.fc12,catchall,chrome-sandbox,chrome_sandbox_t,proc_t,dir,open
audit2allow suggests:

#============= chrome_sandbox_t ==============
allow chrome_sandbox_t proc_t:dir open;

Comment 1 Daniel Walsh 2009-11-23 16:17:20 UTC
You can add these rules for now using

# grep avc /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Fixed in selinux-policy-3.6.32-48.fc12.noarch

Comment 2 Fedora Update System 2009-11-23 23:40:20 UTC
selinux-policy-3.6.32-49.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-49.fc12

Comment 3 Dawid Zamirski 2009-11-25 02:05:43 UTC
Hello

The reported issue is indeed fixed in the 3.6.32-49 update.

Comment 4 Daniel Walsh 2009-11-25 11:25:22 UTC
Can you click on the link above and increase its Karma.

Comment 5 Dawid Zamirski 2009-11-25 15:00:09 UTC
Done :-)

Comment 6 Fedora Update System 2009-12-02 04:34:46 UTC
selinux-policy-3.6.32-49.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.